Debian Bug report logs - #323678
RM: xcircuit -- RoQA; orphaned, RC buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Wed, 17 Aug 2005 21:48:08 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Z Maze <dmaze@debian.org>, <wnpp@debian.org>:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to David Z Maze <dmaze@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: xcircuit -- Draw circuit schematics or almost anything
Date: Wed, 17 Aug 2005 23:39:06 +0200
Package: wnpp
Severity: normal

The current maintainer of xcircuit, David Z Maze <dmaze@debian.org>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

The maintainer writes:
| xcircuit does seem to have an active upstream, and there is a small
| minority who like it; geda has a similar schematic editor.  It's a
| slightly involved package involving C with Python and/or Tcl
| integration, and the outstanding bugs mostly address portability issues
| (and, more recently, the /usr/doc symlink).  Although it should not be
| particulary hard to maintain, arguably there are better alternatives for
| it.

Some information about this package:

Package: xcircuit
Binary: xcircuit
Version: 3.1.19-1
Priority: optional
Section: electronics
Maintainer: David Z Maze <dmaze@debian.org>
Build-Depends: xlibs-dev, xutils, python-dev, m4, debhelper (>= 4.1.0), cdbs (>= 0.2.11)
Architecture: any
Standards-Version: 3.6.0
Format: 1.0
Directory: pool/main/x/xcircuit
Files: c08a676f400e92162f9bf0b82b58d287 619 xcircuit_3.1.19-1.dsc
 f79e0761059214eef29f45590b1f6dff 804479 xcircuit_3.1.19.orig.tar.gz
 f84f60c65bd14f3d102d90ca120489a5 5817 xcircuit_3.1.19-1.diff.gz

Package: xcircuit
Priority: optional
Section: electronics
Installed-Size: 901
Maintainer: David Z Maze <dmaze@debian.org>
Architecture: i386
Version: 3.1.19-1
Depends: libc6 (>= 2.3.2-1), python2.3 (>= 2.3), xlibs (>> 4.1.0)
Conflicts: xbase (<< 3.3.2.3a-2)
Filename: pool/main/x/xcircuit/xcircuit_3.1.19-1_i386.deb
Size: 408506
MD5sum: 427fcbd389b7995e39f65a795e05c4e6
Description: Draw circuit schematics or almost anything
 xcircuit is a generic drawing program tailored for making circuit
 diagrams.
 .
 The graphical interface attempts to maintain consistency between
 X11 window rendering and the pure PostScript output.
 .
 xcircuit is mouse, menu and keyboard driven. The emphasis is on
 single character macros.
Tag: field::electronics, role::sw-utility



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Rigg <dd@sound-man.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 323678@bugs.debian.org (full text, mbox):

From: John Rigg <dd@sound-man.co.uk>
To: 323678@bugs.debian.org
Subject: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Thu, 25 Aug 2005 15:33:51 +0100
Package: wnpp
Severity: normal

If nobody objects I'd like to adopt the xcircuit package.
I'm not a Debian maintainer yet but I've been thinking about applying
for a while. I use xcircuit in my work (electronics) so this looks like
a good place to start.

John Rigg



Changed Bug title. Request was from John Rigg <dd@sound-man.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as John Rigg <dd@sound-man.co.uk>. Request was from John Rigg <dd@sound-man.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 323678-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: John Rigg <dd@sound-man.co.uk>
Cc: 323678-quiet@bugs.debian.org
Subject: Re: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Wed, 12 Oct 2005 21:17:25 +0200
On Thu, Aug 25, 2005 at 15:33:51 +0100, John Rigg wrote:
> If nobody objects I'd like to adopt the xcircuit package.
> I'm not a Debian maintainer yet but I've been thinking about applying
> for a while. I use xcircuit in my work (electronics) so this looks like
> a good place to start.

Do you still intend to adopt xcircuit?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Rigg <dd@sound-man.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #24 received at 323678-quiet@bugs.debian.org (full text, mbox):

From: John Rigg <dd@sound-man.co.uk>
To: 323678-quiet@bugs.debian.org
Cc: Matej Vela <vela@debian.org>
Subject: Re: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Wed, 12 Oct 2005 22:32:18 +0100
On Wed October 12, 2005 Matej Vela wrote:
>Do you still intend to adopt xcircuit?  (This is just a ping, I'm not
>interested in adopting it myself.)

Yes. There's been a lot of upstream development on xcircuit over
the last couple of months, with new versions appearing every few
days for a while. Now it seems to have stabilised, so I should
have a prospective package ready soon.

John



Information stored:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #29 received at 323678-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: John Rigg <dd@sound-man.co.uk>
Cc: 323678-quiet@bugs.debian.org
Subject: Re: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Mon, 19 Dec 2005 10:19:26 +0100
On Wed, Oct 12, 2005 at 22:32:18 +0100, John Rigg wrote:
> On Wed October 12, 2005 Matej Vela wrote:
>>Do you still intend to adopt xcircuit?  (This is just a ping, I'm not
>>interested in adopting it myself.)
>
> Yes. There's been a lot of upstream development on xcircuit over
> the last couple of months, with new versions appearing every few
> days for a while. Now it seems to have stabilised, so I should
> have a prospective package ready soon.

Are you still interested?

Thanks,

Matej



Information stored:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Rigg <dd@sound-man.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #34 received at 323678-quiet@bugs.debian.org (full text, mbox):

From: John Rigg <dd@sound-man.co.uk>
To: Matej Vela <vela@debian.org>
Cc: 323678-quiet@bugs.debian.org
Subject: Re: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Sun, 8 Jan 2006 20:02:01 +0000
On Mon, Dec 19, 2005 at 10:19:26AM +0100, Matej Vela wrote:
> On Wed, Oct 12, 2005 at 22:32:18 +0100, John Rigg wrote:
> > On Wed October 12, 2005 Matej Vela wrote:
> >>Do you still intend to adopt xcircuit?  (This is just a ping, I'm not
> >>interested in adopting it myself.)
> >
> > Yes. There's been a lot of upstream development on xcircuit over
> > the last couple of months, with new versions appearing every few
> > days for a while. Now it seems to have stabilised, so I should
> > have a prospective package ready soon.
> 
> Are you still interested?

Yes. Still working on it.

John



Information stored:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #39 received at 323678-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: John Rigg <dd@sound-man.co.uk>
Cc: 323678-quiet@bugs.debian.org
Subject: Re: ITA: xcircuit -- Draw circuit schematics or almost anything
Date: Wed, 22 Mar 2006 13:25:09 +0100
On Sun, Jan 08, 2006 at 20:02:01 +0000, John Rigg wrote:
> On Mon, Dec 19, 2005 at 10:19:26AM +0100, Matej Vela wrote:
>> Are you still interested?
>
> Yes. Still working on it.

Is this still the case?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Rigg <dd@sound-man.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #44 received at 323678@bugs.debian.org (full text, mbox):

From: John Rigg <dd@sound-man.co.uk>
To: 323678@bugs.debian.org
Subject: O: xcircuit -- Draw circuit schematics or almost anything
Date: Mon, 27 Mar 2006 22:34:59 +0100
Package: wnpp

> > On Mon, Dec 19, 2005 at 10:19:26AM +0100, Matej Vela wrote:
> >> Are you still interested?

Unfortunately, due to unforeseen demands on my time I'm no longer
able to work on xcircuit. This situation isn't likely to change
in the near future, so if anyone else wants to adopt it please
feel free to do so.

John



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, John Rigg <dd@sound-man.co.uk>:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, John Rigg <dd@sound-man.co.uk>. Full text and rfc822 format available.

Message #49 received at 323678@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: John Rigg <dd@sound-man.co.uk>
Cc: control@bugs.debian.org, 323678@bugs.debian.org
Subject: Re: O: xcircuit -- Draw circuit schematics or almost anything
Date: Tue, 28 Mar 2006 09:18:45 +0200
retitle 323678 O: xcircuit -- Draw circuit schematics or almost anything
noowner 323678
thanks

On Mon, Mar 27, 2006 at 22:34:59 +0100, John Rigg wrote:
> Unfortunately, due to unforeseen demands on my time I'm no longer
> able to work on xcircuit. This situation isn't likely to change
> in the near future, so if anyone else wants to adopt it please
> feel free to do so.

Adjusting title accordingly... Of course, feel free to retitle it once
you have more time.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by John Rigg <dd@sound-man.co.uk>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #58 received at 323678@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 323678@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: xcircuit -- RoQA; orphaned, RC buggy
Date: Wed, 02 Aug 2006 07:25:10 +0200
retitle 323678 RM: xcircuit -- RoQA; orphaned, RC buggy
reassign 323678 ftp.debian.org
thanks

I think we should remove xcircuit.

  * Orphaned for 11 months.
  * 2 RC bugs, plus a soon-to-become-RC bug for the Python transition.
  * Already removed from testing.
  * popcon: 277 installs, 35 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 323678-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 323678-close@bugs.debian.org
Cc: xcircuit@packages.debian.org, xcircuit@packages.qa.debian.org
Subject: Bug#323678: fixed
Date: Sun, 13 Aug 2006 08:03:15 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  xcircuit |   3.6.24-1 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323678@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323678; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "C. Scott Ananian" <cscott@cscott.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #72 received at 323678@bugs.debian.org (full text, mbox):

From: "C. Scott Ananian" <cscott@cscott.net>
To: 323678@bugs.debian.org
Subject: I would like to adopt xcircuit.
Date: Tue, 15 Aug 2006 18:37:49 -0400 (EDT)
I use xcircuit and would like to adopt it.
  --scott
                         ( http://cscott.net/ )



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 20:08:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:11:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.